The Spring Framework

## org.springframework.scripting.groovy
Interface GroovyObjectCustomizer

    public interface GroovyObjectCustomizer

Strategy used by `GroovyScriptFactory` to allow the customization of a created `GroovyObject`.

This is useful to allow the authoring of DSLs, the replacement of missing methods, and so forth. For example, a custom `MetaClass` could be specified.

Since:
  2.0.2
Author:
  Rod Johnson
See Also:
  `GroovyScriptFactory`

Method Summary
`void` `customize(groovy.lang.GroovyObject goo)` Customize the supplied `GroovyObject`.

Method Detail

### customize

    void customize(groovy.lang.GroovyObject goo)

  Customize the supplied `GroovyObject`.

  For example, this can be used to set a custom metaclass to handle missing methods.

  Parameters:
    `goo` - the `GroovyObject` to customize

The Spring Framework

Copyright © 2002-2008 The Spring Framework.